%global sum	The classic Crack-Dot-Com game

%define	oname	abuse

Summary:	%{sum}
Name:		%{oname}-sdl
Version:	0.8
Release:	%mkrel 10
License:	GPLv2
Group:		Games/Arcade
URL:		http://abuse.zoy.org/
Source0:	http://www.labyrinth.net.au/~trandor/files/%{oname}-%{version}.tar.gz
BuildRequires:	pkgconfig(alsa)
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
Requires:	TiMidity++

%description
Abuse-SDL is a port of Abuse, the classic Crack-Dot-Com game, to the
SDL library. It can run at any color depth, in a window or full-screen,
and it has stereo sound with sound panning.

%prep
%setup -q -n %{oname}-%{version}

# make autoreconf more happy
sed -i -e 's,AM_INIT_AUTOMAKE.*,AM_INIT_AUTOMAKE(\[subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Abuse
Comment=%{sum}
Exec=%{_gamesbindir}/%{oname}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -d %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert doc/%{oname}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -size 48x48 doc/%{oname}.png %{buildroot}%{_liconsdir}/%{name}.png
convert -size 16x16 doc/%{oname}.png %{buildroot}%{_miconsdir}/%{name}.png

install -d %{buildroot}{%{_gamesdatadir}/%{oname},%{_gamesbindir}}
mv %{buildroot}%{_bindir}/%{oname} %{buildroot}%{_gamesbindir}/%{oname}


%files
%doc AUTHORS README TODO
%{_bindir}/abuse-tool
%{_gamesbindir}/*
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{oname}
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_mandir}/man6/*



%changelog
* Thu Apr 23 2020 danf <danf> 0.8-10.mga8
+ Revision: 1571478
- Fix Comment= in .desktop file

* Wed Feb 12 2020 umeabot <umeabot> 0.8-9.mga8
+ Revision: 1511562
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.8-8.mga7
+ Revision: 1297270
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 wally <wally> 0.8-7.mga7
+ Revision: 1243381
- fix build on aarch64
- use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.8-6.mga6
+ Revision: 944057
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8-5.mga5
+ Revision: 740912
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8-4.mga5
+ Revision: 677678
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8-3.mga4
+ Revision: 502438
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 345218
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 23 2011 juancho <juancho> 0.8-1.mga2
+ Revision: 171221
- Added missing BuildRequires: SDL_mixer-devel
- imported package abuse-sdl

